/*ident	"@(#)cls4:incl-master/proto-headers/sys/time.h	1.1" */
#usedby bsd2 bsd3 sunos3 sunos4 sunos4.1 alliant hpux2.0 hpux svr4

/*******************************************************************************
 
C++ source for the C++ Language System, Release 3.0.  This product
is a new release of the original cfront developed in the computer
science research center of AT&T Bell Laboratories.

Copyright (c) 1991 AT&T and UNIX System Laboratories, Inc.
Copyright (c) 1984, 1989, 1990 AT&T.  All Rights Reserved.

THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE of AT&T and UNIX System
Laboratories, Inc.  The copyright notice above does not evidence
any actual or intended publication of such source code.

*******************************************************************************/
#ifndef __SYS_TIME_H
#define __SYS_TIME_H

#ifndef __TYPES_H
#include <sys/types.h>
#endif

#hide gmtime
#hide localtime
#hide asctime
#hide ctime
#hide tzset
#hide adjtime
#hide getitimer
#hide setitimer
#hide gettimeofday
#hide settimeofday
#hide select
#hide utimes

#expand sys/time.h

extern "C" {
#os svr4
	int adjtime(struct timeval *, struct timeval *);
	int getitimer(int, struct itimerval *);
	int setitimer(int, struct itimerval *, struct itimerval *);
#endos
#os bsd3 sunos3 sunos4 sunos4.1
	int adjtime(const timeval*, timeval*);
#endos
#os bsd2 bsd3 sunos3 sunos4 sunos4.1 alliant hpux2.0 hpux
	int getitimer(int, itimerval*);
	int setitimer(int, const itimerval*, itimerval*);
#endos
	int gettimeofday(timeval*, struct timezone*);
	int settimeofday(const timeval*, const struct timezone*);
	int utimes(const char*, timeval tvp[2]);
#os hpux2.0 hpux
	int select(int, int*, int*, int*, const struct timeval*);
	int selectitimer(int, struct itimerval *, struct itimerval *);
#endos
#os bsd2 bsd3 sunos3 sunos4 sunos4.1 alliant
	int select(int, fd_set*, fd_set*, fd_set*, const timeval*);
#endos
}

#endif
